# Interface ModifyParams

interface ModifyParams {
originCoordinate: Coordinate;
originPixel: Pixel;
siblingXPoint: Point;
siblingYPoint: Point;
vectorX: number[];
vectorY: number[];
}

- Defined in src/interaction/ModifyRectangle.js:436

#####
Index

### Properties

originCoordinate
originPixel
siblingXPoint
siblingYPoint
vectorX
vectorY

## Properties

### originCoordinate

originCoordinate: Coordinate

- Defined in src/interaction/ModifyRectangle.js:437

### originPixel

originPixel: Pixel

- Defined in src/interaction/ModifyRectangle.js:438

### siblingXPoint

siblingXPoint: Point

- Defined in src/interaction/ModifyRectangle.js:439

### siblingYPoint

siblingYPoint: Point

- Defined in src/interaction/ModifyRectangle.js:440

### vectorX

vectorX: number[]

- Defined in src/interaction/ModifyRectangle.js:441

### vectorY

vectorY: number[]

- Defined in src/interaction/ModifyRectangle.js:442

Generated using TypeDoc